<?php

namespace Drupal\google_index_api_dummy_service;

use Drupal\Core\DependencyInjection\ContainerBuilder;
use Drupal\Core\DependencyInjection\ServiceProviderBase;
use Drupal\google_index_api_dummy_service\Service\GoogleIndexApiDummyService;

/**
 * Replaces google_index_api.client with a dummy service.
 */
class GoogleIndexApiDummyServiceServiceProvider extends ServiceProviderBase {

  /**
   * {@inheritdoc}
   */
  public function alter(ContainerBuilder $container) {
    parent::alter($container);

    $container->getDefinition('google_index_api.client')
      ->setClass(GoogleIndexApiDummyService::class);
  }

}
